Merrill Lynch does not read Firefox date field entries

RESOLVED WORKSFORME

Status

()

RESOLVED WORKSFORME
10 years ago
8 years ago

People

(Reporter: david, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [CLOSEME 2010-11-01], URL)

Attachments

(1 attachment)

(Reporter)

Description

10 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.1) Gecko/2008070208 Firefox/3.0.1

When I enter a date range for viewing transactions from Merrill Lynch, the dates I enter are deemed invalid dates.  This works on IE 8.0.

Reproducible: Always

Steps to Reproduce:
1.log in to Merrill site
2.go to "download center"
3.enter custom date for activity report
Actual Results:  
receive error pop-up that says custom date form is invalid


Expected Results:  
show report

Code from the page:
https://www20.fs.ml.com/accounts/downloadcenter.asp

<HTML>
<HEAD>
<title>Merrill Lynch Account Information Download Center</title>
<script language="JavaScript" src="/accounts/downloadcenter.js"></script>
<script language="JavaScript">
<!--
	var gstrOnload = "";
	var gstrOnunload = "";
// -->	
</script>

<script>
var fwWMTPRole = '';
var fwWMTPAcctGroupId = '';
var fwWMTPAcctGroupType = '';
</script>
<link REL=stylesheet TYPE=text/css HREF=/navbar/NavStyles.css>
<script language=javascript src=/navbar/NavMD.js></script>
<script src=/navbar/NavComMML3S.js></script>
<link REL="stylesheet" TYPE="text/css" HREF="/publish/lookandfeel.css">
<link REL="stylesheet" TYPE="text/css" media="print" HREF="/publish/printandfeel.css">
<script language='JavaScript1.2' src='/common/showMenu.js' ></script>
</HEAD>
<BODY marginwidth=0 marginheight=0 topmargin=0 leftmargin=0 bgcolor=#ffffff onload="javascript:eval(gstrOnload)" onunload="javascript:eval(gstrOnunload)">
<div id='ddMenu' class='menucontrol'></div>
<script language=javascript src=/publish/NavBarDecor.js></script>
<script language=JavaScript>PreNavBarRenderer();
var gstruseridval = "A250001988";
</script>
<script language=JavaScript>
fw_displaynav="0";
SetCriteria("client", "4", "MLOL", "010000000", "", "http://www.fs.ml.com/publish/myfinance.asp", "My Financial Picture");
SetFQDNs(new Array("https://www20.fs.ml.com","https://www20.fs.ml.com","https://www21.fs.ml.com","https://www23.fs.ml.com","https://www31.fs.ml.com","https://webmrr.mlpc.privnet.us.ml.com","https://www20.fs.ml.com","https://www20.fs.ml.com","https://www20.fs.ml.com","https://olui1.fs.ml.com"));
curNavID=39;
BuildMainNav("23", "24", "39");
</script><script language=JavaScript>PostNavBarRenderer('CurrentLoginTime=8/22/2008 11:51:54 AM EDT &LastLoginTime=8/22/2008 10:53:15 AM EDT');
</script>

<!-- /publish/mldownloadcentererror.txt T -->
<style type="text/css">
<!--
.style5 {
	font-size: 24px;
	font-style: italic;
}
-->
</style>

<div class="content">

<table width="570" cellpadding="3" cellspacing="0" border="0">

	<TR>
		<TD class=title><span class="style5">New </span><span class="style3">Download Features</span></TD>
	</TR>
	<TR>
		<TD class=miscl>Download your account activity into Quicken<sup>&reg;</sup> or Microsoft<sup>&reg;</sup> Money using <b>Direct Connect</b>. Enter your Merrill Lynch login ID and password in your software and you are ready to download. For help with <b>Direct Connect - Windows<sup>&reg;</sup></b> click <a href="/help/howdoi.asp?FileName=/publish/hlpDownload.txt#WINDOWS">here</a> or <b>Macintosh</b><sup>&reg;</sup> click <a href="/help/howdoi.asp?FileName=/publish/hlpDownload.txt#MAC">here</a>.</TD>
	</TR>
	<TR>

		<TD class=miscl>If you wish to use <b>Web Connect for Windows</b> you can choose your download format below.</TD>

	</TR>
</table>
</div>

<!-- /publish/mldownloadcentererror.txt B -->
<script type="text/javascript">
<!-- 
var URL_QUICKEN = "https://www20.fs.ml.com/accounts/ofxdownload.qfx";
var URL_MONEY = "https://www20.fs.ml.com/accounts/ofxdownload.ofx";
var URL_TEXT_BALANCES = "https://www20.fs.ml.com/accounts/mlmcfbalancesdownload.dnl";
var URL_TEXT_HOLDINGS = "https://www20.fs.ml.com/accounts/mlmcfholdingsdownload.dnl";
var URL_TEXT_ACTIVITY = "https://www20.fs.ml.com/accounts/activity.dnl";
var URL_TEXT_TAX_REPORT = "https://www20.fs.ml.com/accounts/mlmcftaxreportsdownload.dnl";
var URL_TEXT_GAINLOSS = "https://www20.fs.ml.com/accounts/UnrealizedGL.dnl";
//-->
</script>

<!-- 06/05/2001 ------------ Begin Page Content Download Center 1.0.13.17 --------------->

<STYLE TYPE="text/css">
	<!-- position, color, visibility -->
	.disabled
	{
		position:absolute;
		color:slategray;
		visibility:hidden;
		font-family:arial,  helvetica, sans-serif;
		font-size:12px;
		font-style:normal;
		text-align:left
	}
	.enabled
	{
		position:relative;
		color:black;
		visibility:visible;
		font-family:arial, helvetica, sans-serif;
		font-size:12px;
		font-style:normal;
		text-align:left;
	}
	.activityCriteria
	{
		position:relative;
	}
	.noDataMsg
	{
		position:relative;
		color:red;
		visibility:visible;
		font-family:arial, helvetica, sans-serif;
		font-size:12px;
		font-style:normal;
		font-weight:bold;
		text-align:left;
	}
</STYLE>
<SCRIPT type="text/javascript">
<!--
	gstrOnload += new String("LoadWindow(0,0);");
//-->
</SCRIPT>
<DIV class="content">
<FORM name="PICKLIST_FORM1" method=POST action="https://www20.fs.ml.com/accounts/downloadcenter.asp"></FORM>
<FORM name="DownloadCenter" method=POST action="https://www20.fs.ml.com/accounts/downloadcenter.asp">
	<INPUT TYPE=hidden id=FROMDATE name="FROMDATE">
	<INPUT TYPE=hidden id=TODATE name="TODATE">
	<INPUT TYPE=hidden id=FILTER name="FILTER">
	<INPUT TYPE=hidden id=TaxFILTER name="TaxFILTER">
	<INPUT TYPE=hidden id=RANGE name="RANGE">
	<INPUT TYPE=hidden id=SORT name="SORT" value=12>
	<INPUT TYPE=hidden id=PFMTYPE name="PFMTYPE">
<TABLE border=0 cellPadding=3 cellSpacing=0 width=575>
	<TR>
		<TD class=title>Download Center</TD>
	</TR>
	<TR>
		<TD class=miscl>Welcome to the Merrill Lynch Download Center. You can download your Merrill Lynch Holdings and Activity for each account by selecting the Merrill Lynch account number and the desired download format. There is no enrollment necessary to participate in this service -  just press the download button to initiate the process! Make sure you have necessary software installed on your machine to use this feature.</TD>
	</TR>
</TABLE>
<BR>
<TABLE border=0 cellPadding=3 cellSpacing=0 width=575>
<TBODY>
	<TR>
		<TD class=miscl>
			<A target="help" href="https://www20.fs.ml.com/help/glossary.asp?term=account#account">Account:</A>
		</TD>
		<TD class=miscl colSpan=2>
			


<!-- Begin Account Selector  version 1.0.40d 20030317 -->

<select name="PICKLIST1" onchange="SelectFromList1(this.form)">
<option value="All">All
<option value="Investment">Investment
<option value="Retirement">Retirement
<option value="-------------------">-------------------
<option selected value="43520086">435-20086 (Roth IRA)
<option value="43520084">435-20084 (IRRA) "MFA Acct"
<option value="43520088">435-20088 (Roth IRA)
<option value="43520081">435-20081 (Beyond Bkg) "Savings Account"
<option value="43521254">435-21254 (Beyond Bkg) "Family Checking"
<option value="43520082">435-20082 (CMA) "CD Account"
<option value="43520087">435-20087 (IRA)
<option value="43520083">435-20083 (IRRA) "Brandes LCV"
<option value="43520085">435-20085 (IRA) "American Funds"
<option value="43521255">435-21255 (Beyond Bkg) "Expense Account"
</select>

<!-- Begin Account Selector JavaScript -->
<script type='text/javascript' language='JavaScript'>
<!--
var OriginalPickListValue1 = 4;

function SelectFromList1(PLF)
{
    var objSel = PLF.PICKLIST1;
    var selValue = objSel.options[objSel.selectedIndex].value;
    if ( selValue == "Custom" )
    {
        window.location.href = "" + "?origin=" + escape(window.location.href);
        return;
    }
    if ( selValue == "-------------------" )
    {
         objSel.selectedIndex = OriginalPickListValue1;
        return;
    }
    toggleFormat(PLF.PICKLIST1.options[PLF.PICKLIST1.selectedIndex].value);
}
//-->
</script>
<!-- End Account Selector JavaScript -->

<!-- End Account Selector  version 1.0.40d 20030317 -->

		
		</TD>
	</TR>
	<TR>
		<TD colSpan=3>
			<HR SIZE=1>
		</TD>
	</TR>
	<!-- Intuit Quicken -->
	<TR>
		<TD class="miscl" vAlign="top">
			<A target="help" href="https://www20.fs.ml.com/help/glossary.asp?term=downloadformat#downloadformat">Download Format:</A>
		</TD>
		<TD class="miscr" vAlign="top">
			<INPUT CHECKED id="format_choice_0" name="format_choice" onClick="quickenClick();" type="radio" value="Quicken">
		</TD>
		<TD class="miscl">
			<DIV class="enabled" ID="enabledQuicken">
				<B>Quicken for Windows</B><I>&nbsp;(Holdings &amp; Activity)</I><BR>Merrill Lynch supports Intuit's Web Connect, allowing you to<BR>download your account history (up to 90 days) from Merrill Lynch<br>directly into Quicken. Click <A href="#how">here</A> for additional help about downloading your account information into Quicken.
			</DIV>
		</TD>
	</TR>
	<!-- Microsoft Money -->
	<TR>
		<TD></TD>
		<TD class="miscr" vAlign="top">
			<INPUT id="format_choice_1" name="format_choice" onClick="moneyClick();" type="radio" value="Money">
		</TD>
		<TD class="miscl">
			<DIV class="enabled" ID="enabledMoney">
				<b>Microsoft</b><b>&#174;				Money for Windows </b><I> (Holdings &amp; Activity)</I><BR>
				Merrill Lynch supports Microsoft's Active Statement, allowing you to <br> download your account history (up to 90 days) from Merrill Lynch<br> directly into Money. 
				Click  <A href="#how">here</A> for additional help about downloading your account information into Money.
			</DIV>
		</TD>
	</TR>
	<!-- Text Holdings -->
	<TR>
		<TD></TD>
		<TD class="miscr" vAlign="top">
			<INPUT id="format_choice_2" name="format_choice" onClick="textholdingsClick();" type="radio" value="Text_H">
		</TD>
		<TD class="miscl">
			<B>Plain Text</B><I>&nbsp;(Holdings Only)</I><BR>Use this selection to download your account holdings to a<BR>tab delimited file. Import this file into your favorite<BR>spreadsheet application.<BR>
		</TD>
	</TR>
	<!-- Text Activity -->
	<TR>
		<TD></TD>
		<TD class="miscr" vAlign="top">
			<INPUT ID="format_choice_3" name="format_choice" onClick="textactivityClick();" type="radio" value="Text_H">
		</TD>
		<TD class="miscl">
			<DIV class="enabled" ID="enabledActivity">
				<B>Plain Text</B><I>&nbsp;(Activity Only)</I><BR>Use this selection to download your account activity to a<BR>tab delimited file. Import this file into your favorite<BR>spreadsheet application.<BR>
			</DIV>
		</TD>
	</TR>
	<!-- Text Balances -->
	<TR>
		<TD></TD>
		<TD class="miscr" vAlign="top">
			<INPUT ID="format_choice_4" name="format_choice" onClick="textbalancesClick();" type="radio" value="Text_B">
		</TD>
		<TD class="miscl">
			<B>Plain Text</B><I>&nbsp;(Balances Only)</I><BR>Use this selection to download your account balances to a<BR>tab delimited file. Import this file into your favorite<BR>spreadsheet application. LMA ACCOUNT BALANCES ARE<BR>NOT AVAILABLE FROM THIS FEATURE.<BR>
		</TD>
	</TR>
	<!-- Text TaxReports-->
	<TR>
		<TD></TD>
		<TD class="miscr" vAlign="top">
			<INPUT ID="format_choice_6" name="format_choice" onClick="textTaxRptClick();" type="radio" value="Text_T">
		</TD>
		<TD class="miscl">
			<DIV class="enabled" ID="enabledTaxReport">
			<B>Plain Text</B><I>&nbsp;(Year-end Tax Reporting Statement)</I><BR>Use this selection to download your Year-end 1099 Summaries, Original Issue Discount Detail, Gross Proceeds Detail, Gain/Loss Detail FIFO, Gain/Loss Detail AVG, Checking Detail and Visa Detail to a tab delimited file. Import this file into your favorite spreadsheet application. Click <A href="/help/howdoi.asp?FileName=/publish/hlpYearEndTaxReportingDownload.txt" target="help">here</A> for additional help downloading your Year-end Tax reports into Excel<sup>&reg;</sup> format<BR>
			</DIV>
		</TD>
	</TR>
	<TR>
		<TD colSpan=3>
			<HR SIZE=1>
		</TD>
	</TR>
</TBODY>
</TABLE>
</FORM><!-- DownloadCenter -->
<DIV ID="activityCriteria">
<FORM METHOD="POST" ACTION="/doNothing.asp" NAME="form1" onSubmit="return false;">
<TABLE border=0 cellPadding=3 cellSpacing=0><!-- Outter Table -->
	<TR vAlign="top">
		<TD class="miscl" vAlign="top">
			<A target="help" href="https://www20.fs.ml.com/help/glossary.asp?term=transactioncategory#transactioncategory">Transaction Category:</A>
		</TD>
		<TD class="miscl" vAlign="top">&nbsp;</TD>
		<TD class="miscl" vAlign="top">
			<A target="help"href="https://www20.fs.ml.com/help/glossary.asp?term=date#date">Date:</A>
		</TD>
	</TR>
	<TR vAlign="top">
		<TD class="miscl" vAlign="top">
			<SELECT multiple name="FILTER" size=4>
				<OPTION VALUE=11 SELECTED>All Categories
				<OPTION VALUE=12>ATM Refund
				<OPTION VALUE=13>Automatic Teller Machine
				<OPTION VALUE=14>Checking
				<OPTION VALUE=15>Dividends/Interest
				<OPTION VALUE=16>Electronic Bill Pay
				<OPTION VALUE=17>Fund Receipts
				<OPTION VALUE=18>Fund Transfers
				<OPTION VALUE=19>Pending Trades/Dividends
				<OPTION VALUE=20>Security Transactions
				<OPTION VALUE=21>Visa Transactions
				<OPTION VALUE=22>Signature Summary Debit
				<OPTION VALUE=23>Signature Delayed Debits
				<OPTION VALUE=24>Other
			</SELECT>
		</TD>
		<TD class="miscl" vAlign="top">&nbsp;</TD>
		<TD class="miscl" vAlign="top">
			<TABLE border=0 cellPadding=0 cellSpacing=0><!-- Inner Table -->
				<TR vAlign="top">
					<TD class="miscl" vAlign="top">
						<INPUT CHECKED ID="RANGE_12" name="RANGE" type="radio" value=12 onClick="clearDates(this.value);">Last 10 days of activity<BR>
						<INPUT ID="RANGE_13" name="RANGE" type="radio" value=13 onClick="clearDates(this.value);">Current Month
					</TD>
					<TD class="miscl" vAlign="top">
						<INPUT ID="RANGE_14" name="RANGE" type="radio" value=14 onClick="clearDates(this.value);">Prior Month<BR>
						<INPUT ID="RANGE_15" name="RANGE" type="radio" value=15 onClick="clearDates(this.value);">All Available
					</TD>
				</TR>
				<TR vAlign="top">
					<TD class="miscl" vAlign="top" colspan=2>
						<INPUT ID="RANGE_16" NAME="RANGE" TYPE="radio" VALUE=16 onClick="clearDates(this.value);">Custom - from <INPUT ID="FROMDATE" NAME="FROMDATE" TYPE="text" SIZE=10 MAXLENGTH=10 onFocus="this.select();"> to <INPUT ID="TODATE" NAME="TODATE" TYPE="text" SIZE=10 MAXLENGTH=10 onFocus="this.select();">
					</TD>
				</TR>
			</TABLE><!-- Inner Table -->
		</TD>
	</TR>
</TABLE><!-- Outter Table -->
</FORM><!-- FORM1 -->
</DIV><!-- activityCriteria -->
<DIV ID="TaxReport">
<FORM METHOD="POST" ACTION="/doNothing.asp" NAME="formTax" onSubmit="return false;">
<TABLE border=0 cellPadding=3 cellSpacing=0><!-- Outter Table -->
	<TR vAlign="top">
		<TD class="miscl" vAlign="top">
			<A target="help" href="https://www20.fs.ml.com/help/glossary.asp?term=yearendtransactioncategory#yearendtransactioncategory">Year-End Transaction Category:</A>
		<br> Please Select one(1) item from the list below</TD>
		<TD class="miscl" vAlign="top">&nbsp;</TD>
	</TR>
	<TR vAlign="top">
		<TD class="miscl" vAlign="top">
			<SELECT  name="TaxFILTER" size=7>
				<OPTION VALUE=11 SELECTED>Year-end 1099 Summaries
				<OPTION VALUE=12>Year-end Original Issue Discount Detail
				<OPTION VALUE=13>Year-end Gross Proceeds Detail
				<OPTION VALUE=14>Year-end Gain/Loss Detail FIFO
				<OPTION VALUE=15>Year-end Gain/Loss Detail AVG (MFA and UMA Accounts only)
				<OPTION VALUE=16>Year-end Visa Detail
				<OPTION VALUE=17>Year-end Checking Detail
			</SELECT>
		</TD>
		<TD class="miscl" vAlign="top">&nbsp;</TD>
		<TD class="miscl" vAlign="top">
		</TD>
	</TR>
</TABLE><!-- Outter Table -->
</FORM><!-- FORM1 -->
</DIV><!-- activityCriteria -->
<FORM METHOD="POST" NAME="ButtonForm" ACTION="/doNothing.asp" onSubmit="return false;">
<TABLE border=0 cellSpacing=4><!-- Button Table -->
	<TR>
		<TD class="miscl">
			<INPUT ID="submit1" NAME="submit1" TYPE="button" VALUE="Download" onClick="routeDownload();">
		</TD>
	</TR>
</TABLE><!-- Button Table -->
</FORM><!-- ButtonForm -->

<DIV ID="TaxReportDisc">
<TABLE border=0 cellPadding=3 cellSpacing=0><!-- Outter Table -->
	<TR vAlign="top">
		<TD  class="disclaimer" vAlign="top">*Please note that the amount of zero in the "Other" section of Gain/Loss may be in lieu of N/A (not available) - <br>&nbsp; results which cannot be calculated because of insufficient data in the Capital Gain or (Loss) Column.<br>*Zeros in date fields mean no date available and zero in some fields does not mean zero but N/A.
		</TD>
	</TR>
</TABLE><!-- Button Table -->
</DIV><!-- Content -->

<!-- 06/05/2001 -------------- End Page Content Download Center 1.0.13.17 --------------->
<!-- bMozilla=True ---------------->
<!-- bMSIE=False ------------------->
<!-- bNetscape=True -------------->
<!-- bIE=False --------------------->
<!-- m_BrowserName=Netscape, v5 ------->



<!-- downloadcenterinfo.txt T -->

<div class="content">

<table width="570" cellspacing=0 cellpadding=0>
	<tr>
		<td class="miscl">
			<a name="how">
			<p>
			Don’t know how to use the download function or need help setting up your accounts in Quicken, Microsoft Money or downloading into your favorite spreadsheet program?  You can get step-by-step instructions using our
 			<a href="/help/howdoi.asp?FileName=/publish/hlpDownload.txt#MAC" target="help">Quicken</a>,
			<a href="/help/howdoi.asp?FileName=/publish/hlpDownload.txt#WINDOWS" target="help">Microsoft Money</a> or
			<a href="/help/howdoi.asp?FileName=/publish/hlpQuickenDownload.txt" target="help">ASCII Text</a> help files.  
			</p>
			<p>
			<b>Important</b>: Merrill Lynch, Intuit<sup><small>&reg;</small></sup> 
			& Microsoft<sup><small>&reg;</small></sup> are providing users 
			the opportunity to download account information, via electronic 
			transmission, to a personal computer and display the information using the 
			Intuit Quicken and Microsoft's Microsoft Money software. Merrill Lynch 
			makes no warranties regarding the operation of Quicken or Microsoft Money 
			or how such data will be displayed by Quicken or Microsoft Money. Data 
			which has been transmitted by Merrill Lynch and received by Quicken or 
			Microsoft Money becomes the sole responsibility of the user. Merrill Lynch 
			will not be responsible for and has no control over the manner in which 
			Quicken or Microsoft Money displays or changes such data. 
			</p>
		</td>
	</tr>
</table>

</div>
<!-- downloadcenterinfo.txt B -->


<!-- /publish/acctmgmt-disclaimer.txt T -->

<div class="content">

<table width="570" cellpadding="3" cellspacing="0" border="0">
	<tr>
		<td class="disclaimer">		
		<p><i>For Informational Purposes Only.  Account Statement is Official Record of Holdings and Balances.</i></p>		
		</td>
	</tr>
</table>

<div id='test'>
</div>


<script language="JavaScript">

//var el = document.getElementById('test');
//if (el)
//{
//    alert('debug');
//    el.innerHtml = "Hi, this is a test";
//}
</script>
</div>

<!-- /publish/acctmgmt-disclaimer.txt B -->


<script language=javascript src="/publish/RubiconFooter/footer-5.js"></script>
<script>WriteFooter("4262CFDE","8/22/2008","11:54:07 AM","https://www20.fs.ml.com");</script>
</BODY>
</HTML>
(Reporter)

Comment 1

10 years ago
Created attachment 335050 [details]
source of website web page in question

This bug makes Firefox unusable for downloading investment data from my broker's site.  Firefox is my default browser.  This bug requires me to use IE to get this information from my broker.  BAD BAD BAD

Thanks for a great browser.
David Roberts
david@mylinguist.com
229-878-6726
This is a mass search for bugs that are in the Firefox General component, are
UNCO, and have not been changed for 500 days and have an unspecified version. 

Reporter, can you please update to Firefox 3.6.10, create a fresh profile,
http://support.mozilla.com/en-US/kb/managing+profiles, and test again. If you
still see the bug, please update this bug. If the issue is gone, please set the
resolution to RESOLVED > WORKSFORME.
Whiteboard: [CLOSEME 2010-11-01]
(Reporter)

Updated

8 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.